# TdApi.CallStateDiscarded (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CallStateDiscarded

Package it.tdlight.jni

# Class TdApi.CallStateDiscarded

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallState
it.tdlight.jni.TdApi.CallStateDiscarded

Enclosing class:
  TdApi

    public static class TdApi.CallStateDiscarded
    extends TdApi.CallState

The call has ended successfully.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `needDebugInformation` | True, if the call debug information must be sent to the server.
`boolean` | `needRating` | True, if the call rating must be sent to the server.
`TdApi.CallDiscardReason` | `reason` | The reason, why the call has ended.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CallStateDiscarded()` | The call has ended successfully.
`CallStateDiscarded​(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation)` | The call has ended successfully.
`CallStateDiscarded​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### reason

public TdApi.CallDiscardReason reason
The reason, why the call has ended.

### needRating

public boolean needRating
True, if the call rating must be sent to the server.

### needDebugInformation

public boolean needDebugInformation
True, if the call debug information must be sent to the server.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CallStateDiscarded

public CallStateDiscarded()
The call has ended successfully.

### CallStateDiscarded

public CallStateDiscarded​(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation)
The call has ended successfully.

Parameters:
  `reason` - CallDiscardReason The reason, why the call has ended.
  `needRating` - boolean True, if the call rating must be sent to the server.
  `needDebugInformation` - boolean True, if the call debug information must be sent to the server.

### CallStateDiscarded

public CallStateDiscarded​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`